View Issue Details

IDProjectCategoryView StatusLast Update
0003450gnunet-gtkgnunet-conversation-gtkpublic2018-06-07 00:25
ReporterBart PolotAssigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003450: Crash in vprintf when accepting a call.
Description(gdb) bt
#0 0x00007f470ccf1ac7 in vfprintf () from /usr/lib/libc.so.6
#1 0x00007f470cda2875 in __vasprintf_chk () from /usr/lib/libc.so.6
#2 0x00007f470d2fee9c in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#3 0x00007f470d2daa00 in g_strdup_vprintf () from /usr/lib/libglib-2.0.so.0
#4 0x0000000000407482 in GCG_update_status_bar (message=0x40d193 "In a conversation with `%s'.")
    at gnunet-conversation-gtk_log.c:85
#5 0x00000000004079cb in do_status () at gnunet-conversation-gtk_phone.c:512
#6 0x000000000040868a in update_gui () at gnunet-conversation-gtk_phone.c:764
#7 0x00000000004098a2 in gnunet_conversation_gtk_accept_button_clicked_cb (button=0xa77330, user_data=0x9a98e0)
    at gnunet-conversation-gtk_phone.c:1126
#8 0x00007f470d58d607 in ?? () from /usr/lib/libgobject-2.0.so.0
#9 0x00007f470d5a60a8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#10 0x00007f470d5a6d02 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#11 0x00007f470eca218d in ?? () from /usr/lib/libgtk-3.so.0
#12 0x00007f470eca21d5 in ?? () from /usr/lib/libgtk-3.so.0
#13 0x00007f470d58d3d8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#14 0x00007f470d59e577 in ?? () from /usr/lib/libgobject-2.0.so.0
#15 0x00007f470d5a6a49 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#16 0x00007f470d5a6d02 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#17 0x00007f470eca0cb1 in ?? () from /usr/lib/libgtk-3.so.0
#18 0x00007f470ed75905 in ?? () from /usr/lib/libgtk-3.so.0
#19 0x00007f470d58d607 in ?? () from /usr/lib/libgobject-2.0.so.0
#20 0x00007f470d5a60a8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#21 0x00007f470d5a6d02 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#22 0x00007f470eea455c in ?? () from /usr/lib/libgtk-3.so.0
#23 0x00007f470ed73326 in ?? () from /usr/lib/libgtk-3.so.0
#24 0x00007f470ed74e2c in gtk_main_do_event () from /usr/lib/libgtk-3.so.0
#25 0x00007f470e962fa2 in ?? () from /usr/lib/libgdk-3.so.0
#26 0x00007f470d2bdb84 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#27 0x00007f47125854a6 in dispatch_gtk_task (cls=0x7fffaf60afe0, tc=0x7fffaf60abf0) at eventloop.c:327
#28 0x00007f471047c06a in run_ready (rs=0x8d5ae0, ws=0x8d5b70) at scheduler.c:595
#29 0x00007f471047c911 in GNUNET_SCHEDULER_run (task=0x7f4710476d8b <program_main>, task_cls=0x7fffaf60ae80)
    at scheduler.c:817
#30 0x00007f471047791c in GNUNET_PROGRAM_run2 (argc=1, argv=0x7fffaf60b188,
    binaryName=0x40c6e1 "gnunet-conversation-gtk", binaryHelp=0x40c75a "GTK GUI for conversation",
    options=0x60f940 <options>, task=0x7f4712585f37 <run_main_loop>, task_cls=0x7fffaf60afe0,
    run_without_scheduler=0) at program.c:286
#31 0x00007f4710477a73 in GNUNET_PROGRAM_run (argc=1, argv=0x7fffaf60b188,
    binaryName=0x40c6e1 "gnunet-conversation-gtk", binaryHelp=0x40c75a "GTK GUI for conversation",
    options=0x60f940 <options>, task=0x7f4712585f37 <run_main_loop>, task_cls=0x7fffaf60afe0) at program.c:325
#32 0x00007f4712586467 in GNUNET_GTK_main_loop_start (binary_name=0x40c6e1 "gnunet-conversation-gtk",
    binary_help=0x40c75a "GTK GUI for conversation", argc=1, argv=0x7fffaf60b188, options=0x60f940 <options>,
    main_window_file=0x40c730 "gnunet_conversation_gtk_main_window.glade", main_task=0x404bf6 <run>)
    at eventloop.c:1000
#33 0x0000000000404e38 in main (argc=1, argv=0x7fffaf60b188) at gnunet-conversation-gtk.c:238
Additional Information#0 0x00007f470ccf1ac7 in vfprintf () from /usr/lib/libc.so.6
No symbol table info available.
#1 0x00007f470cda2875 in __vasprintf_chk () from /usr/lib/libc.so.6
No symbol table info available.
#2 0x00007f470d2fee9c in g_vasprintf () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3 0x00007f470d2daa00 in g_strdup_vprintf () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4 0x0000000000407482 in GCG_update_status_bar (message=0x40d193 "In a conversation with `%s'.")
    at gnunet-conversation-gtk_log.c:85
        status_bar = 0x9e4f90
        status_bar_context = 1
        buff = 0x7f470ccd75a3 <__dcigettext+179> "H\215H\037H\215P\001H\211\336H\203\341\360H)\314H\215L$\017H\203\341\360H\211\317\350\212\322\005"
        ap = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 0x7fffaf609f40, reg_save_area = 0x7fffaf609e70}}
#5 0x00000000004079cb in do_status () at gnunet-conversation-gtk_phone.c:512
        __FUNCTION__ = "do_status"
#6 0x000000000040868a in update_gui () at gnunet-conversation-gtk_phone.c:764
No locals.
#7 0x00000000004098a2 in gnunet_conversation_gtk_accept_button_clicked_cb (button=0xa77330, user_data=0x9a98e0)
    at gnunet-conversation-gtk_phone.c:1126
        ic = 0xbe7f70
        sel = 0x9e97a0
        iter = {stamp = -755789354, user_data = 0xbeae60, user_data2 = 0x0, user_data3 = 0x0}
        model = 0x9a99c0
        __FUNCTION__ = "gnunet_conversation_gtk_accept_button_clicked_cb"
#8 0x00007f470d58d607 in ?? () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#9 0x00007f470d5a60a8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#10 0x00007f470d5a6d02 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#11 0x00007f470eca218d in ?? () from /usr/lib/libgtk-3.so.0
No symbol table info available.
#12 0x00007f470eca21d5 in ?? () from /usr/lib/libgtk-3.so.0
No symbol table info available.
#13 0x00007f470d58d3d8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#14 0x00007f470d59e577 in ?? () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#15 0x00007f470d5a6a49 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#16 0x00007f470d5a6d02 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#17 0x00007f470eca0cb1 in ?? () from /usr/lib/libgtk-3.so.0
No symbol table info available.
#18 0x00007f470ed75905 in ?? () from /usr/lib/libgtk-3.so.0
No symbol table info available.
#19 0x00007f470d58d607 in ?? () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#20 0x00007f470d5a60a8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#21 0x00007f470d5a6d02 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#22 0x00007f470eea455c in ?? () from /usr/lib/libgtk-3.so.0
No symbol table info available.
#23 0x00007f470ed73326 in ?? () from /usr/lib/libgtk-3.so.0
No symbol table info available.
#24 0x00007f470ed74e2c in gtk_main_do_event () from /usr/lib/libgtk-3.so.0
No symbol table info available.
#25 0x00007f470e962fa2 in ?? () from /usr/lib/libgdk-3.so.0
No symbol table info available.
#26 0x00007f470d2bdb84 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
#27 0x00007f47125854a6 in dispatch_gtk_task (cls=0x7fffaf60afe0, tc=0x7fffaf60abf0) at eventloop.c:327
        ml = 0x7fffaf60afe0
#28 0x00007f471047c06a in run_ready (rs=0x8d5ae0, ws=0x8d5b70) at scheduler.c:595
        p = GNUNET_SCHEDULER_PRIORITY_UI
        pos = 0xb68c80
        tc = {reason = GNUNET_SCHEDULER_REASON_STARTUP, read_ready = 0x8d5ae0, write_ready = 0x8d5b70}
        __FUNCTION__ = "run_ready"
#29 0x00007f471047c911 in GNUNET_SCHEDULER_run (task=0x7f4710476d8b <program_main>, task_cls=0x7fffaf60ae80)
    at scheduler.c:817
        rs = 0x8d5ae0
        ws = 0x8d5b70
        timeout = {rel_value_us = 18446744073709551615}
        ret = 0
        shc_int = 0x8eb860
        shc_term = 0x8ac8e0
        shc_quit = 0x8eb9a0
        shc_hup = 0x8eba60
        shc_pipe = 0x8ac9a0
        last_tr = 1026
        busy_wait_warning = 0
        pr = 0x8e1360
        c = 0 '\000'
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#30 0x00007f471047791c in GNUNET_PROGRAM_run2 (argc=1, argv=0x7fffaf60b188,
    binaryName=0x40c6e1 "gnunet-conversation-gtk", binaryHelp=0x40c75a "GTK GUI for conversation",
    options=0x60f940 <options>, task=0x7f4712585f37 <run_main_loop>, task_cls=0x7fffaf60afe0,
    run_without_scheduler=0) at program.c:286
        cc = {args = 0x7fffaf60b190, cfgfile = 0x8d5530 "~/.config/gnunet.conf",
          task = 0x7f4712585f37 <run_main_loop>, task_cls = 0x7fffaf60afe0, cfg = 0x8aa900}
        path = 0x8ac850 "gnunet-conversation-gtk-29010"
        loglev = 0x0
        logfile = 0x0
        cfg_fn = 0x8acae0 "~/.config/gnunet.conf"
        xdg = 0x0
        ret = 1
        cnt = 8
        skew_offset = 4294967295
        skew_variance = 139943227170529
        clock_offset = 1
        cfg = 0x8aa900
        defoptions = {{shortName = 99 'c', name = 0x7f4710496a50 "config",
            argumentHelp = 0x7f4710496a57 "FILENAME",
            description = 0x7f4710496a60 "use configuration file FILENAME", require_argument = 1,
            processor = 0x4049b0 <GNUNET_GETOPT_set_string@plt>, scls = 0x7fffaf60ae88}, {shortName = 104 'h',
            name = 0x7f4710496a80 "help", argumentHelp = 0x0, description = 0x7f4710496a85 "print this help",
            require_argument = 0, processor = 0x7f4710468ef3 <GNUNET_GETOPT_format_help_>, scls = 0x40c75a}, {
            shortName = 76 'L', name = 0x7f4710496a95 "log", argumentHelp = 0x7f4710496a99 "LOGLEVEL",
            description = 0x7f4710496aa8 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x4049b0 <GNUNET_GETOPT_set_string@plt>, scls = 0x7fffaf60ae78}, {shortName = 108 'l',
            name = 0x7f4710496aca "logfile", argumentHelp = 0x7f4710496ad2 "LOGFILE",
            description = 0x7f4710496ae0 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x4049b0 <GNUNET_GETOPT_set_string@plt>, scls = 0x7fffaf60ae70}, {shortName = 118 'v',
            name = 0x7f4710496b0b "version", argumentHelp = 0x0,
            description = 0x7f4710496b13 "print the version number", require_argument = 0,
            processor = 0x7f4710468ead <GNUNET_GETOPT_print_version_>, scls = 0x7f4710496b2c}}
        allopts = 0x8ac8e0
        gargs = 0x0
        lpfx = 0x8acb00 "`\023\216"
        spc = 0x0
        __FUNCTION__ = "GNUNET_PROGRAM_run2"
#31 0x00007f4710477a73 in GNUNET_PROGRAM_run (argc=1, argv=0x7fffaf60b188,
    binaryName=0x40c6e1 "gnunet-conversation-gtk", binaryHelp=0x40c75a "GTK GUI for conversation",
---Type <return> to continue, or q <return> to quit---
    options=0x60f940 <options>, task=0x7f4712585f37 <run_main_loop>, task_cls=0x7fffaf60afe0) at program.c:325
No locals.
#32 0x00007f4712586467 in GNUNET_GTK_main_loop_start (binary_name=0x40c6e1 "gnunet-conversation-gtk",
    binary_help=0x40c75a "GTK GUI for conversation", argc=1, argv=0x7fffaf60b188, options=0x60f940 <options>,
    main_window_file=0x40c730 "gnunet_conversation_gtk_main_window.glade", main_task=0x404bf6 <run>)
    at eventloop.c:1000
        ml = {cfg = 0x8eb920, main_window_file = 0x40c730 "gnunet_conversation_gtk_main_window.glade",
          main_task = 0x404bf6 <run>, builder = 0x9a98e0, gml = 0x9bd500, gmc = 0x911c00, rs = 0x90ccc0,
          ws = 0x90cd50, cached_poll_array = 0xb70d70, cfgfile = 0x9c84c0 "~/.config/gnunet.conf",
          cached_poll_array_size = 30, dummy_task = 3, argv = 0x7fffaf60b190, argc = 0}
        ret = 32583
#33 0x0000000000404e38 in main (argc=1, argv=0x7fffaf60b188) at gnunet-conversation-gtk.c:238
        options = {{shortName = 112 'p', name = 0x40c773 "phone", argumentHelp = 0x40c68c "LINE",
            description = 0x40c780 "sets the LINE to use for the phone", require_argument = 1,
            processor = 0x404660 <GNUNET_GETOPT_set_uint@plt>, scls = 0x60fb7c <line>}, {shortName = 101 'e',
            name = 0x40c7a3 "ego", argumentHelp = 0x40c7a3 "ego", description = 0x40c7a7 "select ego to use",
            require_argument = 1, processor = 0x4049b0 <GNUNET_GETOPT_set_string@plt>, scls = 0x60fb80 <ego_name>},
          {shortName = 116 't', name = 0x40c7b9 "tray", argumentHelp = 0x0,
            description = 0x40c7be "start in tray mode", require_argument = 0,
            processor = 0x404a00 <GNUNET_GETOPT_set_one@plt>, scls = 0x60fb78 <tray_only>}, {shortName = 0 '\000',
            name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0, processor = 0x0, scls = 0x0}}
        ret = 0
(gdb)


Meanwhile, on CLI:
Jun 18 13:57:56-696048 gnunet-helper-audio-record-29146 ERROR `write' failed at gnunet-helper-audio-record.c:289 with error: Broken pipe
TagsNo tags attached.

Activities

Christian Grothoff

2014-06-18 14:46

manager   ~0008453

Eh, valgrind, please? ;-)

Bart Polot

2014-06-18 18:07

developer   ~0008455

[bart@voyager ~]$ valgrind gnunet-conversation-gtk
==28306== Memcheck, a memory error detector
==28306== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==28306== Using Valgrind-3.9.0 and LibVEX; rerun with -h for copyright info
==28306== Command: gnunet-conversation-gtk
==28306==
==28306== Invalid read of size 1
==28306== at 0xA5AEAC7: vfprintf (in /usr/lib/libc-2.19.so)
==28306== by 0xA65F874: __vasprintf_chk (in /usr/lib/libc-2.19.so)
==28306== by 0xA0C9E9B: g_vasprintf (in /usr/lib/libglib-2.0.so.0.4000.0)
==28306== by 0xA0A59FF: g_strdup_vprintf (in /usr/lib/libglib-2.0.so.0.4000.0)
==28306== by 0x407495: GCG_update_status_bar (gnunet-conversation-gtk_log.c:85)
==28306== by 0x4079DE: do_status (gnunet-conversation-gtk_phone.c:512)
==28306== by 0x40869D: update_gui (gnunet-conversation-gtk_phone.c:764)
==28306== by 0x4098B5: gnunet_conversation_gtk_accept_button_clicked_cb (gnunet-conversation-gtk_phone.c:1126)
==28306== by 0x9E00606: ??? (in /usr/lib/libgobject-2.0.so.0.4000.0)
==28306== by 0x9E190A7: g_signal_emit_valist (in /usr/lib/libgobject-2.0.so.0.4000.0)
==28306== by 0x9E19D01: g_signal_emit (in /usr/lib/libgobject-2.0.so.0.4000.0)
==28306== by 0x839818C: ??? (in /usr/lib/libgtk-3.so.0.1200.2)
==28306== Address 0x1 is not stack'd, malloc'd or (recently) free'd
==28306==
==28306==
==28306== Process terminating with default action of signal 11 (SIGSEGV): dumping core
==28306== Access not within mapped region at address 0x1
==28306== at 0xA5AEAC7: vfprintf (in /usr/lib/libc-2.19.so)
==28306== by 0xA65F874: __vasprintf_chk (in /usr/lib/libc-2.19.so)
==28306== by 0xA0C9E9B: g_vasprintf (in /usr/lib/libglib-2.0.so.0.4000.0)
==28306== by 0xA0A59FF: g_strdup_vprintf (in /usr/lib/libglib-2.0.so.0.4000.0)
==28306== by 0x407495: GCG_update_status_bar (gnunet-conversation-gtk_log.c:85)
==28306== by 0x4079DE: do_status (gnunet-conversation-gtk_phone.c:512)
==28306== by 0x40869D: update_gui (gnunet-conversation-gtk_phone.c:764)
==28306== by 0x4098B5: gnunet_conversation_gtk_accept_button_clicked_cb (gnunet-conversation-gtk_phone.c:1126)
==28306== by 0x9E00606: ??? (in /usr/lib/libgobject-2.0.so.0.4000.0)
==28306== by 0x9E190A7: g_signal_emit_valist (in /usr/lib/libgobject-2.0.so.0.4000.0)
==28306== by 0x9E19D01: g_signal_emit (in /usr/lib/libgobject-2.0.so.0.4000.0)
==28306== by 0x839818C: ??? (in /usr/lib/libgtk-3.so.0.1200.2)
==28306== If you believe this happened as a result of a stack
==28306== overflow in your program's main thread (unlikely but
==28306== possible), you can try to increase the size of the
==28306== main thread stack using the --main-stacksize= flag.
==28306== The main thread stack size used in this run was 8388608.
==28306==
==28306== HEAP SUMMARY:
==28306== in use at exit: 2,854,539 bytes in 41,949 blocks
==28306== total heap usage: 471,955 allocs, 430,006 frees, 25,322,662 bytes allocated
==28306==
==28306== LEAK SUMMARY:
==28306== definitely lost: 3,846 bytes in 7 blocks
==28306== indirectly lost: 19,987 bytes in 810 blocks
==28306== possibly lost: 103,120 bytes in 1,493 blocks
==28306== still reachable: 2,471,898 bytes in 38,319 blocks
==28306== suppressed: 0 bytes in 0 blocks
==28306== Rerun with --leak-check=full to see details of leaked memory
==28306==
==28306== For counts of detected and suppressed errors, rerun with: -v
==28306== ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 1 from 1)
Segmentation fault
[bart@voyager ~]$ Jun 18 18:06:29-078614 gnunet-helper-audio-record-28424 ERROR `write' failed at gnunet-helper-audio-record.c:289 with error: Broken pipe
cd gg/
[bart@voyager ~/gg] (master % u=)$ git svn info
Path: .
URL: https://gnunet.org/svn/gnunet-gtk
Repository Root: https://gnunet.org/svn
Repository UUID: 140774ce-b5e7-0310-ab8b-a85725594a96
Revision: 33732
Node Kind: directory
Schedule: normal
Last Changed Author: grothoff
Last Changed Rev: 33732
Last Changed Date: 2014-06-18 14:48:06 +0200 (Wed, 18 Jun 2014)

Christian Grothoff

2014-06-18 21:22

manager   ~0008456

Code was passing ->caller_id instead of ->caller_id_str. Fixed in SVN 33733.

Issue History

Date Modified Username Field Change
2014-06-18 14:05 Bart Polot New Issue
2014-06-18 14:05 Bart Polot Status new => assigned
2014-06-18 14:05 Bart Polot Assigned To => Christian Grothoff
2014-06-18 14:46 Christian Grothoff Note Added: 0008453
2014-06-18 18:07 Bart Polot Note Added: 0008455
2014-06-18 21:22 Christian Grothoff Note Added: 0008456
2014-06-18 21:22 Christian Grothoff Status assigned => resolved
2014-06-18 21:22 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-06-18 21:22 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed